[Overview][Constants][Procedures and functions][Index] | Reference for unit 'cmem' (#rtl)

# Free

Free a previously allocated block

## Declaration

Source position: cmem.pp line 52

`procedure Free(`
`P: pointer`
`);`

## Arguments

`P` |  | Pointer to the memory block to be freed.

## Description

Free returns the memory block pointed to by P to the system. After Free was called, the pointer P is no longer valid.

## See also

Malloc |  | Malloc external declaration.
ReAlloc |  | Reallocates a memory block

Documentation generated on: Feb 26 2014